# Uses of Class
org.eclipse.e4.core.services.log.Logger

Packages that use Logger
Package
Description
org.eclipse.e4.core.services.log
org.eclipse.e4.ui.workbench.renderers.swt

## Uses of Logger in org.eclipse.e4.core.services.log

Methods in org.eclipse.e4.core.services.log that return Logger
Modifier and Type
Method
Description
`Logger`
ILoggerProvider.`getClassLogger(Class<?> clazz)`

## Uses of Logger in org.eclipse.e4.ui.workbench.renderers.swt

Fields in org.eclipse.e4.ui.workbench.renderers.swt declared as Logger
Modifier and Type
Field
Description
`protected Logger`
AbstractContributionItem.`logger`